Skip to main content
GET
/
v1
/
amazon
/
products
/
{asin}
Get Product Detail
curl --request GET \
  --url https://scrapebadger.com/v1/amazon/products/{asin} \
  --header 'x-api-key: <api-key>'
{
  "domain": "com",
  "product": {
    "asin": "B08N5WRWNW",
    "parent_asin": "B08N5M9NMG",
    "title": "Echo Dot (4th Gen) Smart speaker with Alexa",
    "link": "https://www.amazon.com/dp/B08N5WRWNW",
    "brand": "Amazon",
    "manufacturer": "Amazon",
    "model_number": "B7W64E",
    "price": {
      "value": 49.99,
      "currency": "USD",
      "symbol": "$",
      "raw": "$49.99"
    },
    "list_price": {
      "value": 59.99,
      "currency": "USD",
      "symbol": "$",
      "raw": "$59.99"
    },
    "savings_amount": {
      "value": 10,
      "currency": "USD",
      "symbol": "$",
      "raw": "$10.00"
    },
    "discount_percent": 17,
    "rating": 4.7,
    "ratings_total": 184231,
    "rating_breakdown": {
      "five_star": 78,
      "four_star": 13,
      "three_star": 4,
      "two_star": 2,
      "one_star": 3
    },
    "bought_past_month": "20K+ bought in past month",
    "in_stock": true,
    "availability": "In Stock",
    "feature_bullets": [
      "Meet the Echo Dot - Our most popular smart speaker with a fabric design.",
      "Voice control your entertainment - Stream songs from Amazon Music, Apple Music, Spotify."
    ],
    "description": "Echo Dot is our most compact smart speaker that fits perfectly into small spaces.",
    "main_image": "https://m.media-amazon.com/images/I/714Rdc+abc.jpg",
    "images": [
      "https://m.media-amazon.com/images/I/714Rdc+abc.jpg",
      "https://m.media-amazon.com/images/I/61abc+def.jpg"
    ],
    "images_count": 6,
    "videos": [],
    "videos_count": 0,
    "has_aplus_content": true,
    "variants": [
      {
        "asin": "B08N5WRWNW",
        "attributes": {
          "Color": "Charcoal"
        },
        "price": {
          "value": 49.99,
          "currency": "USD",
          "symbol": "$",
          "raw": "$49.99"
        },
        "is_current": true
      },
      {
        "asin": "B08N5KWB9H",
        "attributes": {
          "Color": "Glacier White"
        },
        "price": {
          "value": 49.99,
          "currency": "USD",
          "symbol": "$",
          "raw": "$49.99"
        },
        "is_current": false
      }
    ],
    "variant_asins": [
      "B08N5WRWNW",
      "B08N5KWB9H"
    ],
    "categories": [
      {
        "name": "Electronics",
        "link": "https://www.amazon.com/electronics",
        "category_id": "172282"
      },
      {
        "name": "Smart Home",
        "link": "https://www.amazon.com/smart-home",
        "category_id": "6563140011"
      }
    ],
    "bestsellers_rank": [
      {
        "rank": 334,
        "category": "Electronics",
        "link": "https://www.amazon.com/gp/bestsellers/electronics"
      },
      {
        "rank": 1,
        "category": "Smart Speakers",
        "link": "https://www.amazon.com/gp/bestsellers/electronics/smart-speakers"
      }
    ],
    "attributes": {
      "Connectivity Technology": "Wi-Fi, Bluetooth"
    },
    "specifications": {
      "Item Weight": "12 ounces",
      "Product Dimensions": "3.9 x 3.9 x 3.5 inches"
    },
    "dimensions": "3.9 x 3.9 x 3.5 inches",
    "weight": "12 ounces",
    "first_available": "October 22, 2020",
    "country_of_origin": "China",
    "buybox": {
      "seller_name": "Amazon.com",
      "seller_id": "ATVPDKIKX0DER",
      "price": {
        "value": 49.99,
        "currency": "USD",
        "symbol": "$",
        "raw": "$49.99"
      },
      "fulfillment": "Amazon"
    },
    "sold_by": "Amazon.com",
    "ships_from": "Amazon.com",
    "fulfilled_by": "Amazon",
    "is_amazon_seller": true,
    "badges": {
      "amazons_choice": true,
      "amazons_choice_keyword": "smart speaker",
      "best_seller": false,
      "prime": true,
      "climate_pledge_friendly": true
    },
    "coupon": {
      "text": "Save 5% with coupon",
      "discount": "5%"
    },
    "deal": null,
    "delivery": {
      "message": "FREE delivery Tomorrow",
      "date": "2026-06-04",
      "is_free": true
    },
    "frequently_bought_together": [
      "B07FZ8S74R"
    ],
    "also_bought": [
      "B07FZ8S74R",
      "B08C1W5N87"
    ],
    "answered_questions": 1024,
    "top_reviews": [
      {
        "id": "R1ABCDEF123456",
        "title": "Great little speaker",
        "body": "Sound quality is excellent for the size.",
        "rating": 5,
        "verified_purchase": true
      }
    ],
    "scraped_utc": 1780531200,
    "scraped_at": "2026-06-03T12:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

asin
string
required
The Amazon Standard Identification Number (ASIN) of the product. You can find this in search results or extract it from a product URL (/dp/{ASIN}).

Query Parameters

domain
string
default:"com"
Amazon marketplace TLD or code where the product is listed.Examples: com, co.uk, de, fr
zip
string
Delivery postal/zip code for a localized buybox and delivery estimate.
language
string
Locale for the product page, e.g. en_US, de_DE.

Response

domain
string
Marketplace domain the product was fetched from.
product
object
Full product object.

Example Response

{
  "domain": "com",
  "product": {
    "asin": "B08N5WRWNW",
    "title": "Echo Dot (4th Gen) Smart speaker with Alexa",
    "brand": "Amazon",
    "price": { "value": 49.99, "currency": "USD", "symbol": "$", "raw": "$49.99" },
    "list_price": { "value": 59.99, "currency": "USD", "symbol": "$", "raw": "$59.99" },
    "discount_percent": 17,
    "rating": 4.7,
    "ratings_total": 184231,
    "rating_breakdown": { "five_star": 78, "four_star": 13, "three_star": 4, "two_star": 2, "one_star": 3 },
    "feature_bullets": ["Meet the Echo Dot - Our most popular smart speaker."],
    "images": ["https://m.media-amazon.com/images/I/714Rdc+abc.jpg"],
    "variants": [
      { "asin": "B08N5WRWNW", "attributes": { "Color": "Charcoal" }, "is_current": true }
    ],
    "bestsellers_rank": [
      { "rank": 334, "category": "Electronics", "link": "https://www.amazon.com/gp/bestsellers/electronics" },
      { "rank": 1, "category": "Smart Speakers", "link": "https://www.amazon.com/gp/bestsellers/electronics/smart-speakers" }
    ],
    "specifications": { "Item Weight": "12 ounces" },
    "buybox": { "seller_name": "Amazon.com", "seller_id": "ATVPDKIKX0DER", "fulfillment": "Amazon" },
    "badges": { "amazons_choice": true, "best_seller": false, "prime": true, "climate_pledge_friendly": true },
    "also_bought": ["B07FZ8S74R", "B08C1W5N87"],
    "top_reviews": [
      { "id": "R1ABCDEF123456", "title": "Great little speaker", "rating": 5, "verified_purchase": true }
    ],
    "scraped_at": "2026-06-03T12:00:00Z"
  }
}
Each product detail request costs 10 credits. Failed requests are not charged.

Authorizations

x-api-key
string
header
required

Path Parameters

asin
string
required

The Amazon Standard Identification Number (ASIN) of the product.

Query Parameters

domain
string
default:com

Amazon marketplace TLD or code (com, co.uk, de, ...).

zip
string

Delivery postal/zip code for a localized buybox.

language
string

Locale for the product page, e.g. en_US, de_DE.

Response

200 - application/json

Product detail

domain
string
product
object